routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*`````````````		normal routes usable without any authentication		``````````````````````	*/

Route::group(['middleware' => ['web']], function () {

	Route::get('/', 'PageController@index')->name('landing')->middleware('guest:admin','guest');
	Route::post('user/logout','Auth\LoginController@userLogout')->name('user.logout');

	// handles all auth routes for normal users which are fans and artists
	Auth::routes();
	Route::get('user/verify/{token}','Auth\RegisterController@verify')->name('user.verify');

	Route::get('/getprofile/{slug}', 'ProfileController@getProfile');//vuejs call
	Route::post('/changeprofilepic', 'ProfileController@updateProfilePic');
	Route::put('/profile/update', 'ProfileController@update')->name('profile.update');

	Route::get('/topsongs','SongController@getMostPlayedSongs');	
	Route::get('/recentsongs','SongController@getMostRecentSongs');


	//userpublic song
	/*
		Route::get('getusersongs/{user_id}','SongController@getUserSongs');
		Route::get('getmostplayedusersongs/{user_id}','SongController@getMostPlayedUserSongs');
	*/
	//demosong view
	/*	Route::get('demos/{artist_id}','SongController@getPrivateSongDemo');
		Route::get('getmostsoldusersongs/{user_id}','SongController@getMostSoldUserSongs');
	*/


	
});


/*`````````````				All admin usable routes 		``````````````````````					*/

Route::group(['prefix' => 'admin'], function () {
	
	//routes for nonauthenticated admins only..not available for authenticated admins
	Route::group(['middleware' => ['guest:admin']], function () {

		Route::get('/login','Auth\AdminLoginController@showLoginForm')->name('admin.login');
		Route::post('/login','Auth\AdminLoginController@login')->name('admin.login.submit');

		//admin password reset routes
		Route::get('/password/reset','Auth\AdminForgotPasswordController@showLinkRequestForm')->name('admin.password.request');
		Route::post('/password/email','Auth\AdminForgotPasswordController@sendResetLinkEmail')->name('admin.password.email');
		Route::get('/password/reset/{token}','Auth\AdminResetPasswordController@showResetForm')->name('admin.password.reset');
		Route::post('/password/reset','Auth\AdminResetPasswordController@reset');
	});
	
	//routes for authenticated admin
	Route::group(['middleware' => ['auth:admin']], function () {

		Route::get('/','AdminController@index')->name('admin.dashboard');
		Route::post('/logout','Auth\AdminLoginController@adminLogout')->name('admin.logout');

		//admin navigation routes
		Route::get('/users', 'UserController@index')->name('users.index');
		Route::get('/deletedusers', 'UserController@deletedUsers')->name('users.deletedusers');
		Route::get('/createuser', 'UserController@create')->name('users.create');
		Route::post('/adduser', 'UserController@store')->name('users.store');
		Route::get('/deleteuser/{slug}', 'UserController@destroy')->name('users.destroy');
		Route::get('/userprofile/{slug}', 'UserController@profile')->name('users.profile');

		//Route::get('/copyrights', 'SongController@copyrights')->name('songs.copyrights');


		Route::get('/songs', 'SongController@index')->name('songs.all');
		Route::get('/deletedsongs', 'SongController@deletedSongs')->name('songs.deleted');
		Route::get('/artistsongs','SongController@artistSongs')->name('song.artists');
		Route::get('/fansongs','SongController@fanSongs')->name('song.fans');

		Route::get('/playlists', 'PlaylistController@index')->name('playlists.index');
		Route::get('/deletedplaylists', 'PlaylistController@deletedPlaylists')->name('playlists.deleted');

		Route::get('/liveevents', 'LiveEventController@allLiveEvents')->name('liveevents.allLiveEvents');
		Route::get('/notes', 'NoteController@allNotes')->name('notes.allNotes');
		Route::get('/reports', 'AdminController@report')->name('admin.reports');




		Route::resource('tags', 'TagController', ['except' => ['create']]);

		

	});

});

/*`````````````		 Fan and Artists usable common routes 		``````````````````````	*/


Route::group(['middleware' => ['auth:web' OR 'auth:admin']], function () {

	//chat routes

	//private message routes
	Route::get('/inbox','PageController@inbox')->name('inbox');
	
	Route::get('get-private-message-notifications','PrivateMessageController@getUserNotifications');
	Route::post('get-private-messages','PrivateMessageController@getPrivateMessages');
	Route::get('get-private-message-by-id/{message_id}','PrivateMessageController@getPrivateMessageById');
	Route::post('get-private-messages-sent','PrivateMessageController@getPrivateMessagesSent');
	Route::post('/send-private-message','PrivateMessageController@sendPrivateMessage');
	Route::get('users-list', function(){
		//return App\User::all()->except(Auth::id()); all users except autenticated
		return Auth::user()->friends();
	});


	//profile routes
	Route::get('/profile/{slug}', 'ProfileController@index')->name('profile.show');//laravel reurn view call
	Route::get('/getprofile/{slug}', 'ProfileController@getProfile');//vuejs call
	Route::post('/changeprofilepic', 'ProfileController@updateProfilePic');
	Route::get('/profile/{slug}/edit', 'ProfileController@edit')->name('profile.edit');
	Route::put('/profile/update', 'ProfileController@update')->name('profile.update');


	//friendship routes
	Route::get('/check_relationship_status/{user_id}','FriendshipsController@checkStatus' );

	Route::get('/addfriend/{user_id}', 'FriendshipsController@addFriend' );

	Route::get('/acceptfriend/{user_id}', 'FriendshipsController@acceptFriend' );

	Route::get('/removefriend/{user_id}', 'FriendshipsController@removeFriend' );

	Route::get('/getpendingrequests', 'FriendshipsController@getPendingRequests' );

	Route::get('/removependingrequest/{user_id}', 'FriendshipsController@removePendingRequest' );

	Route::get('/getfriends/{user_id}', 'FriendshipsController@getFriends' );


	/*Route::get('/accept', function() {
		return App\User::find(5)->acceptFriend(1);

	});

	Route::get('/friends', function() {
		return App\User::find(Auth::id())->friends();
	});

	Route::get('/pending', function() {
		return App\User::find(Auth::id())->pendingRequest();
	});

	Route::get('/ids', function() {
		return App\User::find(1)->friendsId();
	});

	Route::get('/is', function() {
		return App\User::find(1)->isFriendWith(7);
	});
	*/

	//notifications route
	Route::get('/notifications','PageController@showAllNotifications')->name('notifications');
	
	Route::get('/markAsRead', function() {
		Auth::user()->unreadNotifications->markAsRead();
	});

	//like and unlike routes
	Route::get('/auth_user_data', function() {
		return Auth::user();
	});
	Route::get('/like/{song_id}','LikeController@like' );
	Route::get('/unlike/{song_id}','LikeController@unLike' );

	//share routes
	Route::get('/share/{song_id}','ShareController@share' );
	Route::get('/unshare/{song_id}','ShareController@unshare' );

	//comment routes
	Route::post('/comment', 'CommentController@store')->name('comment.store');
	Route::get('/comment/{song_id}', 'CommentController@index')->name('comment.index');
	Route::delete('/comment/{comment_id}', 'CommentController@destroy')->name('comment.destroy');
	Route::put('/comment/{comment_id}', 'CommentController@update')->name('comment.update');



	//song routes for authenticated users
	Route::group(['prefix' => 'artist'], function () {

		Route::post('songs/buy','SongController@addToOrderList');
		Route::get('songs/{song_id}','SongController@getPrivateSong');
		Route::get('demos/{artist_id}','SongController@getPrivateSongDemo');
		Route::get('getmostsoldusersongs/{user_id}','SongController@getMostSoldUserSongs');

		Route::get('songs/download/{payment_id}','SongController@viewDownSong')->name('songs.download');

		Route::resource('songs','SongController');
	});

	Route::get('getusersongs/{user_id}','SongController@getUserSongs');
	Route::get('getmostplayedusersongs/{user_id}','SongController@getMostPlayedUserSongs');
	Route::get('getmostsoldusersongs/{user_id}','SongController@getMostSoldUserSongs');

	Route::get('getpublicsong/{song_id}','SongController@getPublicSong');
	Route::get('songfeeds','SongController@songFeeds');	//songs for users from all his friends
	//Route::get('/topsongs','SongController@getMostPlayedSongs');	
	//Route::get('/recentsongs','SongController@getMostRecentSongs');
	Route::get('/get-purchased-songs','SongController@getPurchasedSongs');

	
	Route::get('songs/liked/{user_id}','SongController@showLikedSongPage')->name('songs.liked');
	Route::get('/getLikedSongs/{user_id}','SongController@getLikedSongs');
	Route::get('/getSharedSongs/{user_id}','SongController@getSharedSongs');
	Route::get('/addSongPlayedTime/{song_id}','SongController@addSongPlayedTime');
	Route::post('/gettagids', 'TagController@getTagIds');



	//page routes (change to song routes)
	Route::get('tracks', 'PageController@tracks')->name('artist.tracks');//change tracks to songs maybe so put on song controller later


	//search routes
	Route::get('searchusers/{query_string}','PageController@searchUsers');

	//playlist routes
	Route::post('/playlist/', 'PlaylistController@store')->name('playlist.store');
	Route::post('/playlist/addsong', 'PlaylistController@addSongToPlaylist')->name('playlist.addsong');
	Route::get('/playlist/removesong/{s_id}/{p_id}', 'PlaylistController@removeSong')->name('playlist.removesong');
	Route::get('/playlist/getplaylist/{user_id}', 'PlaylistController@getPlaylist')->name('playlist.getplaylist');
	Route::get('/playlist/{user_id}', 'PlaylistController@userIndex')->name('artists.playlist');
	Route::get('/playlist/songs/{user_id}', 'PlaylistController@getPlaylistSongs')->name('playlist.songs');

resources/views/layouts/_footer-admin.blade.php
        <!-- footer content -->
        <footer>
          <div class="pull-right">
            Gentelella - Bootstrap Admin Template by <a href="https://colorlib.com">Colorlib</a>
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    

resources/views/layouts/_footer.blade.php
    <hr>
      <p class="text-center">&copy Copyrights Music Book - All Rights Reserved</p>
    

resources/views/layouts/_head-admin.blade.php
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Music Book @yield('title')</title>

    <link rel="stylesheet" href="{{ asset('css/app.css') }}">

    <!-- custom style for form element margin and spacing -->
    <link rel="stylesheet" href="{{ asset('css/style.css') }}">

    <!-- Bootstrap -->
    <link href="{{  asset('admin-template/vendors/bootstrap/dist/css/bootstrap.min.css') }}" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="{{  asset('admin-template/vendors/font-awesome/css/font-awesome.min.css') }}" rel="stylesheet">
    <!-- NProgress -->
    <link href="{{ asset('admin-template/vendors/nprogress/nprogress.css') }}" rel="stylesheet">
    <!-- iCheck -->
    <link href="{{  asset('admin-template/vendors/iCheck/skins/flat/green.css') }}" rel="stylesheet">
    
    <!-- bootstrap-progressbar -->
    <link href="{{  asset('admin-template/vendors/bootstrap-progressbar/css/bootstrap-progressbar-3.3.4.min.css') }}" rel="stylesheet">
    <!-- JQVMap -->
    <link href="{{  asset('admin-template/vendors/jqvmap/dist/jqvmap.min.css') }}" rel="stylesheet')"/>
    <!-- bootstrap-daterangepicker -->
    <link href="{{  asset('admin-template/vendors/bootstrap-daterangepicker/daterangepicker.css') }}" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="{{ asset('admin-template/build/css/custom.min.css') }}" rel="stylesheet">

    <!-- Datatables -->
    <link href="{{  asset('admin-template/vendors/datatables.net-bs/css/dataTables.bootstrap.min.css') }}" >
    <link href="{{  asset('admin-template/vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css') }}" >
    <link href="{{  asset('admin-template/vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css') }}" >
    <link href="{{  asset('admin-template/datatables.net-responsive-bs/css/responsive.bootstrap.min.css') }}" >
    <link href="{{  asset('datatables.net-scroller-bs/css/scroller.bootstrap.min.css') }}" >

    @yield('stylesheets')
    <script>
    
      window.Laravel = {!! json_encode([
        'csrfToken' => csrf_token(),
        ]) !!};
    </script>
  </head>

resources/views/layouts/_head.blade.php
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <title>Music Book @yield('title')</title>

    <link rel="stylesheet" href="{{ asset('css/app.css') }}">

    <!-- custom style for form element margin and spacing -->
    <link rel="stylesheet" href="{{ asset('css/style.css') }}">

    {{-- fontawesome --}}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    @yield('stylesheets')
    <script>
    
      window.Laravel = {!! json_encode([
        'csrfToken' => csrf_token(),
        ]) !!};
    </script>
  </head>

resources/views/layouts/_javascript-admin.blade.php
	
	{{-- dont know why i need to require jquery and bootstrap twice once here and other in admin blade file even loaded in boostrap.js in assets --}}
    <script src="{{ asset('admin-template/vendors/jquery/dist/jquery.min.js') }}"></script>

    <script src="{{ asset('admin-template/vendors/bootstrap/dist/js/bootstrap.min.js') }}"></script>

 	<script src="{{ asset('js/app.js') }}"></script>





    
    

resources/views/layouts/_javascript.blade.php
 	<script src="{{ asset('js/app.js')}}"></script>

    
    

resources/views/layouts/_messages-admin.blade.php
<div class="col-md-6 col-md-offset-3">
	
@if (Session::has('success'))
	<div class="alert alert-success" role="alert">
		<strong>
			Success:{{ Session::get('success') }}
		</strong>
	</div>

@endif
	
@if (Session::has('message'))
		<div class="alert alert-info" role="alert">
		<strong>
			{{ Session::get('message') }}
		</strong>
	</div>

@endif

@if (count($errors) > 0)
<div class="alert alert-danger" style="z-index:99999;">
	<strong>Errors:</strong>
	<ul>
		@foreach ($errors->all() as $error)
			<li>{{ $error }}</li>
		@endforeach
	</ul>
</div>
@endif
</div>

resources/views/layouts/_messages.blade.php
@if (Session::has('success'))
{{-- 	<form-message :success="{{ Session::get('success') }}"></form-message>	 --}}
	<div class="alert alert-success" role="alert">
		<strong>
			Success:{{ Session::get('success') }}
		</strong>
	</div>

@endif
	
@if (Session::has('message'))
		<div class="alert alert-info" role="alert">
		<strong>
			{{ Session::get('message') }}
		</strong>
	</div>

@endif

@if (count($errors) > 0)
<div class="alert alert-danger">
	<strong>Errors:</strong>
	<ul>
		@foreach ($errors->all() as $error)
			<li>{{ $error }}</li>
		@endforeach
	</ul>
</div>
@endif

resources/views/layouts/_nav-admin.blade.php
<div class="container body">
	<div class="main_container">
		<div class="col-md-3 left_col">
			<div class="left_col scroll-view">
				<div class="navbar nav_title" style="border: 0;">
					<a href="/" class="site_title"><i class="fa fa-book"></i> <span>MB Admin Panel</span></a>
				</div>

				<div class="clearfix"></div>

				<!-- menu profile quick info -->
				<div class="profile clearfix">
					<div class="profile_pic">
						<img src="{{ 'https://www.gravatar.com/avatar/' . md5(Auth::guard('admin')->user()->email) }}" alt="..." class="img-circle profile_img">
					</div>
					<div class="profile_info">
						<span>Welcome,</span>
						<h2>{{ Auth::guard('admin')->user()->name }}</h2>
					</div>
				</div>
				<!-- /menu profile quick info -->

				<br />

				<!-- sidebar menu -->
				<div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
					<div class="menu_section">
						<h3>General</h3>
						<ul class="nav side-menu">
							<li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-home"></i> Home </a>
							</li>
							<li><a><i class="fa fa-edit"></i> Users <span class="fa fa-chevron-down"></span></a>
								<ul class="nav child_menu">
									<li><a href="{{ route('users.index') }}">Show All Users</a></li>
									<li><a href="{{ route('users.create') }}">Add User</a></li>
									{{-- <li><a href="form_validation.html">User Profile</a></li> --}}
									<li><a href="{{ route('users.deletedusers') }}">Deleted/Banned Users</a></li>
								</ul>
							</li>
							<li><a><i class="fa fa-edit"></i> Songs <span class="fa fa-chevron-down"></span></a>
								<ul class="nav child_menu">
									<li><a href="{{ route('songs.all') }}">Show All Songs</a></li>
									<li><a href="{{ route('songs.deleted') }}">Deleted Songs</a></li>
									{{-- <li><a href="form_advanced.html">Add Song</a></li> --}}
										<li><a>Artist Songs<span class="fa fa-chevron-down"></span></a>
											<ul class="nav child_menu">
												<li class="sub_menu"><a href="{{ route('song.artists') }}">Show All Songs</a>
												</li>
{{-- 												<li><a href="#level2_1">Liked Songs</a>
												</li>
												<li><a href="#level2_2">Shared Songs</a> 												</li>
												<li><a href="#level2_2">Deleted Songs</a>
												</li>--}}


											</ul>
										</li>
										<li><a>Fan Songs<span class="fa fa-chevron-down"></span></a>
											<ul class="nav child_menu">
												<li class="sub_menu"><a href="{{ route('song.fans') }}">Show All Songs</a>
												</li>
{{-- 												<li><a href="#level2_1">Liked Songs</a>
												</li>
												<li><a href="#level2_2">Shared Songs</a> 
												</li>
												<li><a href="#level2_2">Deleted Songs</a>
												</li>--}}

											</ul>
										</li>
									</li>
								</ul>
							</li>
							<li><a><i class="fa fa-edit"></i> Playlists <span class="fa fa-chevron-down"></span></a>
								<ul class="nav child_menu">
									<li><a href="{{ route('playlists.index') }}">Show All Playlists</a></li>
								{{-- 	<li><a href="form_advanced.html">Add New Playlist</a></li> --}}
								{{-- 	<li><a href="{{ route('playlists.deleted') }}">Deleted Playlists</a></li>
 --}}								</ul>
							</li>
							<li><a><i class="fa fa-edit"></i> Live Events <span class="fa fa-chevron-down"></span></a>
								<ul class="nav child_menu">
									<li><a href="{{ route('liveevents.allLiveEvents') }}">Show All Live Events</a></li>
{{-- 									<li><a href="#">Show Upcoming Live Events</a></li>
									<li><a href="form_wizards.html">Show Completed Live Events</a></li>
									<li><a href="form_wizards.html">Show Active Live Events</a></li>
									<li><a href="form_advanced.html">Add New Live Event</a></li>
									<li><a href="form_validation.html">Deleted Live Events</a></li> --}}
								</ul>
							</li>
							<li><a><i class="fa fa-edit"></i> Notes <span class="fa fa-chevron-down"></span></a>
								<ul class="nav child_menu">
									<li><a href="{{ route('notes.allNotes') }}">Show All Notes </a></li>
								{{-- 	<li><a href="form_advanced.html">Advanced Components</a></li> --}}
								</ul>
							</li>
							<li><a><i class="fa fa-edit"></i>Song Tags <span class="fa fa-chevron-down"></span></a>
								<ul class="nav child_menu">
									<li><a href="{{ route('tags.index') }}">All Song Tags</a></li>
								</ul>
							</li>
							<li><a><i class="fa fa-edit"></i> Reports <span class="fa fa-chevron-down"></span></a>
								<ul class="nav child_menu">
									<li><a href="{{ route('admin.reports') }}">Sale Reports</a></li>
									
								</ul>
							</li>
						</ul>
					</div>
				</div>
				<!-- /sidebar menu -->
				<!-- /menu footer buttons -->
				<div class="sidebar-footer hidden-small">
					<a data-toggle="tooltip" data-placement="top" title="Settings">
						<span class="glyphicon glyphicon-cog" aria-hidden="true"></span>
					</a>
					<a data-toggle="tooltip" data-placement="top" title="FullScreen">
						<span class="glyphicon glyphicon-fullscreen" aria-hidden="true"></span>
					</a>
					<a data-toggle="tooltip" data-placement="top" title="Lock">
						<span class="glyphicon glyphicon-eye-close" aria-hidden="true"></span>
					</a>
					<a data-toggle="tooltip" data-placement="top" title="Logout" href="login.html">
						<span class="glyphicon glyphicon-off" aria-hidden="true"></span>
					</a>
				</div>
				<!-- /menu footer buttons -->
			</div>
		</div>

		<!-- top navigation -->
		<div class="top_nav">
			<div class="nav_menu">
				<nav>
					<div class="nav toggle">
						<a id="menu_toggle"><i class="fa fa-bars"></i></a>
					</div>

					<ul class="nav navbar-nav navbar-right">
						<li class="">
							<a href="javascript:;" class="user-profile dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
								<img src="images/img.jpg" alt="">{{ Auth::guard('admin')->user()->name }}
								<span class=" fa fa-angle-down"></span>
							</a>
							<ul class="dropdown-menu dropdown-usermenu pull-right">
								<li><a href="javascript:;">Help</a></li>
								<li>
									<a href="" onclick="event.preventDefault(); document.getElementById('frm-logout').submit();">
										<i class="fa fa-sign-out pull-right"></i>Log Out
									</a>    
									<form id="frm-logout" action="{{ route('admin.logout') }}" method="POST" style="display: none;">
										{{ csrf_field() }}
									</form>
								</li>
							</ul>
						</li>

						
					</ul>
				</nav>
			</div>
		</div>
		<!-- /top navigation -->

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'MusicBook') }}</title>

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-default navbar-static-top">
            <div class="container">
                <div class="navbar-header">

                    <!-- Collapsed Hamburger -->
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#app-navbar-collapse" aria-expanded="false">
                        <span class="sr-only">Toggle Navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>

                    <!-- Branding Image -->
                    <a class="navbar-brand" href="{{ url('/') }}">
                        {{ config('app.name', 'MusicBook') }}
                    </a>
                </div>

                <div class="collapse navbar-collapse" id="app-navbar-collapse">
                    <!-- Left Side Of Navbar -->
                    <ul class="nav navbar-nav">
                        &nbsp;
                    </ul>
                </div>
            </div>
        </nav>

        @yield('content')
    </div>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}"></script>
</body>
</html>